Skip to main content
GET
/
file-upload
/
{sessionId}
/
files
List completed files in an upload session
curl --request GET \
  --url https://api.datalinks.com/api/v1/file-upload/{sessionId}/files \
  --header 'Authorization: Bearer <token>'
{
  "sessionId": "24b49ba0-6b5c-4950-94c1-1622939cc481",
  "sessionStatus": "completed",
  "files": [
    {
      "fileId": "311fe2cb-1c85-46a4-a8d9-f63a88da44fd",
      "filename": "<string>",
      "s3Bucket": "<string>",
      "s3Key": "<string>",
      "fileSize": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token for authentication. Submit the token using the Authorization header: Authorization: Bearer <token>.

Path Parameters

sessionId
string<uuid>
required

The unique identifier of the file upload session. Unique identifier for the upload session.

Example:

"24b49ba0-6b5c-4950-94c1-1622939cc481"

Response

Returns the session status and the list of completed files with their S3 locations.

List of completed files for an upload session.

sessionId
string<uuid>
required

Unique identifier for the upload session.

Example:

"24b49ba0-6b5c-4950-94c1-1622939cc481"

sessionStatus
enum<string>
required

Status of the upload session.

Available options:
preparing,
completed,
aborted
Example:

"completed"

files
object[]
required